Index: /extensions/UserAdvManager/branches/2.40/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/it_IT/plugin.lang.php	(revision 13824)
+++ /extensions/UserAdvManager/branches/2.40/language/it_IT/plugin.lang.php	(revision 13825)
@@ -318,7 +314,77 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.30.2
-$lang['UAM_RedirToProfile'] = 'Ridirezione verso la pagina di personalizzazione';
-$lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto / livello di riservatezza';
-$lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico per cambiamento gruppo / statuto / livello di riservatezza';
+$lang['UAM_RedirToProfile'] = 'Redirect alla pagina di configurazione';
+$lang['UAM_GTAutoGp'] = 'Cambio automatico di gruppi/stato/livello privacy';
+$lang['UAM_GTAutoMail'] = 'Invia automaticamente una mail al cambio di gruppo/stato/livello privacy';
 // --------- End: New or revised $lang ---- from version 2.30.2
+$lang['UAM %d user pwdreseted'] = 'Rinnovo password richiesto per %d utente';
+$lang['UAM %d users pwdreseted'] = 'Rinnovo password richiesto per %d utenti';
+$lang['UAM_Admins cannot be pwdreset'] = 'Il rinnovo della password non può essere impostato per gli account amministratori!';
+$lang['UAM_Bad_version_backup'] = 'La versione del file di backup non corrisponde alla versione del plugin! Il ripristino non verrà effettuato.';
+$lang['UAM_Confirm_Level'] = 'Livello della privacy<br>(lascia ------- per mantenere il default di Piwigo)';
+$lang['UAM_Default user cannot be pwgreset'] = 'Il rinnovo della password non può essere impostato per l\'account default!';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Ciao [username]! Grazie per esserti registrato a [mygallery].
+Il tuo account è stato attivato manualmente dal webmaster di [mygallery]. Puoi ora eseguire il login a [myurl] e modificare il tuo profilo.';
+$lang['UAM_Default_CfmMail_Custom_Txt1'] = 'Benvenuto [username]! Hai confermato che sei una persona e puoi ora usare [mygallery]!';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'La tua chiave di attivazione è errata o hai già confermato il tuo account, per favore contatta il webmaster per risolvere il problema.';
+$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Ciao [username].
+
+Questo è un reminder poichè ti sei registrato su [mygallery] ma non hai ancora confermato la registrazione e la chiave di conferma è scaduta. Per permetterti l\'accesso alla galleria, il tuo periodo di conferma è stato resettato. Hai ancora x giorni per confermare la tua registrazione.
+
+NB: Dopo questo periodo, il tuo account verrà permanentemente eliminato.';
+$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Ciao [username].
+
+Questo è un reminder poichè ti sei registrato su [mygallery] ma non hai ancora confermato la registrazione e la chiave di conferma sta per scadere. Per permetterti l\'accesso alla galleria, hai ancora x giorni per confermare la tua registrazione cliccando sul link del messaggio che hai ricevuto quando ti sei registrato.
+
+NB: Dopo questo periodo, il tuo account verrà permanentemente eliminato.';
+$lang['UAM_Default_ConfirmMail_Txt'] = 'Ciao [username]! Grazie per esserti registrato su [mygallery]
+Per completare la procedura e poter vedere le immagini, conferma la tua registrazione cliccando nel link contenuto in questo messaggio.';
+$lang['UAM_Default_GhstDeletion_Txt'] = 'Siamo spiacenti [username], il tuo account è stato eliminato a causa del lungo tempo trascorso dall\'ultima visita a [mygallery].
+Per favore registrati nuovamente';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Siamo spiacenti [username], il tuo account è stato eliminato a causa del lungo tempo trascorso dalla tua ultima visita a [mygallery].
+Usa il link sottostante per riconfermare il tuo account';
+$lang['UAM_Default_GhstReminder_Txt'] = 'Ciao [username].
+
+Questo è un reminder poichè è trascorso diverso tempo dal tuo ultimo accesso alla nostra galleria [mygallery]. Se non vuoi più usare questo account, segnalacelo rispondendo a questa mail. Il tuo account verrà cancellato.
+
+Alla ricezione di questo messaggio e non ricevendo altre visite entro [days] giorni, saremo obbligati a cancellare l\'account.
+
+Distinti saluti,
+l\'amministratore della galleria [mygallery] - [myurl]';
+$lang['UAM_Default_InfoMail_Txt'] = 'Ciao [username]! Grazie per esserti registrato su [mygallery]
+Qui sotto trovi le informazioni per la connessione';
+$lang['UAM_Default_PwdRequest_Txt'] = 'Hai richiesto il rinnovo della password. Qui sotto trovi i nuovi dati di connessione';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Siamo spiacenti, non hai ancora confermato la registrazione, perciò non ti puoi connettere ora alla galleria. Controlla la tua casella mail. Dovresti trovare un email inviata dalla galleria, contenente un link per eseguire la conferma. Se non la trovi, contatta il webmaster.';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Siamo spiacenti, il tuo account è stato eliminato poichè non hai confermato la registrazione nel tempo richiesto ([Kdays] days). Riprova la registrazione con un account mail valido';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'L\'uso del tag [Kdays] è permesso solo se è attivata la scadenza per la conferma della registrazione. Controlla il testo in rosso per correggere il problema.';
+$lang['UAM_Expired_Level'] = '<b>Il livello di privacy</b> per la registrazione degli utenti  è scaduto<br>';
+$lang['UAM_Generic cannot be pwdreset'] = 'Il rinnovo della password non può essere impostato per gli account generici!';
+$lang['UAM_Guest cannot be pwdreset'] = 'Il rinnovo della password non può essere impostato per l\'account ospite!';
+$lang['UAM_MailExclusion_No'] = 'Esclusione domini mail non disponibile in quanto le email non sono obbligatorie per la registrazione';
+$lang['UAM_MiscOptions'] = 'Altre opzioni varie';
+$lang['UAM_NewFeature'] = 'Nuove funzionalità!';
+$lang['UAM_No_Backup_File'] = 'Nessun file di backup disponibile!';
+$lang['UAM_No_Valid_Level'] = 'Livello privacy per gli utenti che non hanno confermato la loro iscrizione <br>';
+$lang['UAM_Password reset selected users'] = 'Richiedi rinnovo password per gli utenti selezionati';
+$lang['UAM_Password_Reset_Msg'] = 'Cambia la tua password!';
+$lang['UAM_PwdReset'] = 'Rinnovo password';
+$lang['UAM_PwdReset_Done'] = 'Password rinnovata';
+$lang['UAM_PwdReset_NA'] = 'Password originale';
+$lang['UAM_PwdReset_Todo'] = 'Password da rinnovare';
+$lang['UAM_RejectConnexion'] = 'Rifiuta connessione dell\'utente finchè non è confermata la registrazione';
+$lang['UAM_RejectConnexion_Custom_Txt'] = 'Personalizza testo di rifiuto';
+$lang['UAM_Reject_Page_Title'] = 'Connessione non permessa!';
+$lang['UAM_Restoration_NOK'] = 'E\' avvenuto un errore durante il ripristino della configurazione. Controlla la validità del file di backup.';
+$lang['UAM_Restoration_OK'] = 'Il ripristino della configurazione è stato completato con successo! Ricarica la pagina di amministrazione di UAM per vedere la configurazione ripristinata.';
+$lang['UAM_Restore'] = 'Per ripristinare il file della tua configurazione. Solo i file salvati sul server sono mantenuti.
+<br><br>
+<b style="color: red;">Attenzione alla versione del backup!<br>Un backup fatto da una versione diversa del plugin non può essere ripristinato. </b>';
+$lang['UAM_Restore_File'] = 'Ripristino configurazione';
+$lang['UAM_Title5'] = 'Opzioni varie';
+$lang['UAM_Tracking confirmations'] = 'Monitora conferme';
+$lang['UAM_Tracking registered users'] = 'Monitora utenti registrati';
+$lang['UAM_Valid_Level'] = 'Livello privacy per gli utenti che hanno confermato la loro iscrizione <br>';
+$lang['UAM_Webmaster cannot be pwdreset'] = 'Il rinnovo della password non può essere impostato per l\'account webmaster!';
+$lang['UAM_You cannot pwdreset your account'] = 'Il rinnovo della password non può essere impostato per il tuo stesso account!';
+$lang['UAM_You need to confirm pwdreset'] = 'Devi confermare il rinnovo della password (segna la casella)!';
 ?>
Index: /extensions/UserAdvManager/branches/2.40/language/lv_LV/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/lv_LV/help.lang.php	(revision 13824)
+++ /extensions/UserAdvManager/branches/2.40/language/lv_LV/help.lang.php	(revision 13825)
@@ -1,4 +1,4 @@
 <?php
-global $lang;
+//global $lang;
 
 $lang['UAM_confirmTitle_d'] = '
Index: /extensions/UserAdvManager/branches/2.40/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/language/lv_LV/plugin.lang.php	(revision 13824)
+++ /extensions/UserAdvManager/branches/2.40/language/lv_LV/plugin.lang.php	(revision 13825)
@@ -1,7 +1,7 @@
 <?php
 
-global $lang,$conf;
-
-$conf_UAM = unserialize($conf['UserAdvManager']);
+//global $lang,$conf;
+
+//$conf_UAM = unserialize($conf['UserAdvManager']);
 
 
Index: /extensions/UserAdvManager/branches/2.40/main.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/main.inc.php	(revision 13824)
+++ /extensions/UserAdvManager/branches/2.40/main.inc.php	(revision 13825)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.30.4
+Version: 2.40.0
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216
@@ -25,4 +25,5 @@
 
 load_language('plugin.lang', UAM_PATH);
+load_language('help.lang', UAM_PATH);
 $conf_UAM = unserialize($conf['UserAdvManager']);
 
